library(shiny)
red <- paste("<font color=\"red\">")
shinyServer(function(input, output,session) {

   data <- reactive({
      xcenter <- seq(0,0.7,length=20)
      ycenter <- seq(0,0.7,length=20)
      spread <- seq(0.1,0.5,length=20)
      x <- rnorm(10*input$n,xcenter[input$step1],spread[input$step2])
      x <- x[x>(-1)]
      x <- x[x<1][1:input$n]
      y <- rnorm(10*input$n,ycenter[input$step1],spread[input$step2])
      y <- y[y>(-1)]
      y <- y[y<1][1:input$n]
      cbind(x,y)
   })        
   
    
   output$plot <- renderPlot({
      pt <- data()
      plot(c(-1,1),c(-1,1),xlab="",ylab="",type="n",axes=F)
      for(r in c(0.1,0.25,0.5,0.75,1)) {
          x <- seq(-r,r,length=1000)
          y <- sqrt(r^2-x^2)
          lines(c(x,x),c(-y,y),lwd=2)
      }
      lines(c(0,0),c(-1,1),lwd=2)
      rect(-1,-1,1,1,lwd=2)
      points(pt,cex=2.5,pch=20,col="red")
   })

   output$appinfo <- renderText({ 
      HTML("<br>&nbsp;<br>&nbsp;<br>&nbsp;<br>
      <a target=\"_blank\" href=\"http://academic.uprm.edu/wrolke/myapps1.htm#biasvariance\"><h4>What to do</h4></a><br>
      <h6>Written by: Dr. Wolfgang Rolke<br>Created: 8/25/2015</h6>")
      
  })       
  output$explainText <- renderText({ 
        "<h5>Explanation: This demo illustrates Bias vs Variance  </h5>"
        
  })

})

